Subject: Re: bug#79173: 30.1; TRAMP simplified syntax produces empty completing-read candidates

From: Reuben Thomas <[email-masked]>
Date: Thu, 7 Aug 2025 15:32:02 +0100

On Thu, 7 Aug 2025 at 13:48, Michael Albinus <[email-masked]> wrote:

>
> After I've sent my message, I've realized that I should test with Emacs
> 30. So I did. I've transformed you recipe into the shell command
>
> --8<---------------cut here---------------start------------->8---
> # ~/src/emacs-30/src/emacs -Q -l
> ~/.emacs.d/elpa/compat-30.1.0.0/compat-autoloads.el -l
> ~/.emacs.d/elpa/seq-2.24/seq-autoloads.el -l
> ~/.emacs.d/elpa/vertico-2.4/vertico-autoloads.el -L
> /home/albinus/src/tramp/lisp -l tramp --eval "(tramp-change-syntax
> 'simplified)" -f vertico-mode
> --8<---------------cut here---------------end--------------->8---
>
> /home/albinus/src/tramp is the master branch of Tramp, including the
> patch. This is what will be Tramp 2.8.0.2.
>
> Typing 'C-x C-f /' works as expected.
>

Great, I can confirm this works for me too, also with my standard setup.

-- 
https://rrt.sc3d.org